<?php
/**
 * @package                Joomla.Site
 * @subpackage	Templates.beez_20
 * @copyright        Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license                GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access.
defined('_JEXEC') or die;

jimport('joomla.filesystem.file');

// check modules
$showRightColumn	= ($this->countModules('position-3') or $this->countModules('position-6') or $this->countModules('position-8'));
$showbottom			= ($this->countModules('position-9') or $this->countModules('position-10') or $this->countModules('position-11'));
$showLeftColumn		= ($this->countModules('position-4') or $this->countModules('position-7') or $this->countModules('position-5'));

$rightColWidth="300";
if($showRightColumn == false){$rightColWidth="0";}

$leftColWidth="300";
if($showLeftColumn == false){$leftColWidth="0";}

$wrapperWidth=860-($rightColWidth+$leftColWidth);

if ($showRightColumn==0 and $showLeftColumn==0) {
	$showno = 0;
}

JHtml::_('behavior.framework', true);

// get params
$logo				= $this->params->get('logo');
$app				= JFactory::getApplication();
$doc				= JFactory::getDocument();
$templateparams		= $app->getTemplate(true)->params;

$doc->addStyleSheet($this->baseurl.'/templates/system/css/system.css');
$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/css/position.css', $type = 'text/css', $media = 'screen,projection');
$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/css/layout.css', $type = 'text/css', $media = 'screen,projection');
$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/css/personal.css', $type = 'text/css', $media = 'screen,projection');
$doc->addStyleSheet($this->baseurl.'/templates/'.$this->template.'/css/print.css', $type = 'text/css', $media = 'print'); ?>

<?php $files = JHtml::_('stylesheet', 'templates/'.$this->template.'/css/general.css', null, false, true);
if ($files):
	if (!is_array($files)):
		$files = array($files);
	endif;
	foreach($files as $file):
		$doc->addStyleSheet($file);
	endforeach;
endif;


$doc->addScript($this->baseurl.'/templates/'.$this->template.'/javascript/hide.js', 'text/javascript');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,600' rel='stylesheet' type='text/css'>

<jdoc:include type="head" />

<!--[if lte IE 6]>
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/ieonly.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!--[if IE 7]>
<link href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template; ?>/css/ie7only.css" rel="stylesheet" type="text/css" />
<![endif]-->

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> jQuery.noConflict();</script>

<script type="text/javascript">
    jQuery(document).ready(function($) {
        $('ul li:last-child').addClass('lastItem');
        $('ul li:first-child').addClass('firstItem');
    });
</script>

</head>

<body>

<div id="bodyWrapper">
<div id="all">
        <div id="back">
                <div id="header">
                                <div class="logoheader">
                                        <h1 id="logo">
                                            <?php if ($logo): ?>
                                                <a href="<?php echo JURI::base(); ?>"> <img src="<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($logo); ?>"  alt="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>" /></a>
                                            <?php endif;?>
                                            <?php if (!$logo ): ?>
                                                <a href="<?php echo JURI::base(); ?>"> <?php echo htmlspecialchars($templateparams->get('sitetitle'));?></a>
                                            <?php endif; ?>
                                            <span class="header1">
                                                <?php echo htmlspecialchars($templateparams->get('sitedescription'));?>
                                            </span>
                                        </h1>
                                </div><!-- end logoheader -->

                                <div id="header-right">
                                    <jdoc:include type="modules" name="header-right" style="beezDivision" />
                                </div>

                        </div><!-- end header -->

                        <div id="navigation">
                            <jdoc:include type="modules" name="navigation" />
                            <div class="clr"></div>
                        </div>
                        <div class="ic"><div class="inner_copy">Find best premium and <a href="http://www.getjoomlatemplatesfree.com" title="Joomla templates">Free Joomla templates</a> at GetJoomlaTemplatesFree.com</div></div> 
                        <div id="<?php echo $showRightColumn ? 'contentarea2' : 'contentarea'; ?>">
                                        
                                        <?php if ($showLeftColumn) : ?>
                                            <div class="left" style="width:<?php echo $leftColWidth; ?>px">
                                                <jdoc:include type="modules" name="position-7" style="beezDivision" headerLevel="3" />
                                                <jdoc:include type="modules" name="position-4" style="beezHide" headerLevel="3" state="0 " />
                                                <jdoc:include type="modules" name="position-5" style="beezTabs" headerLevel="2"  id="3" />
                                            </div><!-- end navi -->
                                        <?php endif; ?>

                                            <div id="<?php echo $showRightColumn ? 'wrapper' : 'wrapper2'; ?>" style="width:<?php echo $wrapperWidth; ?>px" <?php if (isset($showno)){echo 'class="shownocolumns"';}?>>
                                                <div id="main">

                                                     <?php if ($this->countModules('position-2')): ?>
                                                        <div id="breadcrumbs">
                                                            <jdoc:include type="modules" name="position-2" />
                                                        </div>
                                                     <?php endif; ?>

                                                    <?php if ($this->countModules('position-12')): ?>
                                                        <div id="top">
                                                            <jdoc:include type="modules" name="position-12"   />
                                                        </div>
                                                    <?php endif; ?>

                                                    <jdoc:include type="message" />
													<?php require_once(dirname(__FILE__) .'/css/system.php'); ?>
                                                    <jdoc:include type="component" />
                                                </div><!-- end main -->
                                            </div><!-- end wrapper -->

                                        <?php if ($showRightColumn) : ?>
                                            <div id="right" style="width:<?php echo $rightColWidth; ?>px;">
                                                <jdoc:include type="modules" name="position-6" style="beezDivision" headerLevel="3"/>
                                                <jdoc:include type="modules" name="position-8" style="beezDivision" headerLevel="3"  />
                                                <jdoc:include type="modules" name="position-3" style="beezDivision" headerLevel="3"  />
                                            </div><!-- end right -->
                                        <?php endif; ?>

                                </div> <!-- end contentarea -->

                        </div><!-- back -->

                </div><!-- all -->

                <div id="footer-outer">
                    <?php if ($showbottom) : ?>
                        <div id="footer-inner">
                            <div id="bottom">
                                <div class="box box1"> <jdoc:include type="modules" name="position-9" style="beezDivision" headerlevel="3" /></div>
                                <div class="box box2"> <jdoc:include type="modules" name="position-10" style="beezDivision" headerlevel="3" /></div>
                                <div class="box box3"> <jdoc:include type="modules" name="position-11" style="beezDivision" headerlevel="3" /></div>
                            </div>
                        </div>
                    <?php endif ; ?>
                </div>

                            <div id="footer">
                                <jdoc:include type="modules" name="position-14" />
								<p>More <a href="http://joomla3x.ru/" title="Joomla templates">Free Joomla Templates</a> joomla 3</p>
                                <p>
                                    <?php echo htmlspecialchars($templateparams->get('sitetitle'));?> &copy; <?php echo date('Y'); ?> <strong>&middot;</strong> <?php echo JText::_('ALL_RIGHTS_RESERVED'); ?>
                                </p>
                            </div><!-- end footer -->

</div>

				<jdoc:include type="modules" name="debug" />
                <script src="/crosspixel/crosspixel.js" type="text/javascript"></script>
        </body>
</html>
